%define	name	keychain
%define	version 2.3.4
%define	release	1mdk

Summary:	Keychain manages ssh-agent to minimise passphrase entry for ssh
Name:		%name
Version:	%version
Release:	%release
License:	GPL
Group:		Networking/Remote access
URL:		http://www.gentoo.org/projects/%{name}/
Source0:	http://www.ibiblio.org/gentoo/distfiles/%name-%version.tar.bz2
Source1:	%name.profile.sh
BuildRoot:	%_tmppath/%name-buildroot
Requires:	openssh-askpass openssh-clients
BuildArch:	noarch

%description
keychain helps you to manage RSA and DSA keys in a convenient and secure 
manner. It acts as a frontend to SSH-agent, but allows you to easily have one 
long running SSH-agent process per system, rather than the norm of one 
SSH-agent per login session. This dramatically reduces the number of times 
you need to enter your passphrase - with keychain, you only need to enter a 
passphrase once every time your local machine is rebooted. keychain also 
makes it easy for remote cron jobs to securely "hook in" to a long running 
SSH-agent process, allowing your scripts to take advantage of RSA and DSA 
keys.

Run keychain once manually per user, after which keychain will run (quietly) 
every time you log in (from a profile script).

Hint: If you get tired of keychain, delete ~/.keychain

%prep
%setup -q

%build

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p %{buildroot}/%{_bindir} %{buildroot}/%{_sysconfdir}/profile.d
install -m755 %{name} %{buildroot}/%{_bindir}
install -m755 %{SOURCE1} %{buildroot}/%{_sysconfdir}/profile.d/%{name}.sh
install -d %{buildroot}/%{_mandir}/man1/
install -m 644 keychain.1 %{buildroot}/%{_mandir}/man1/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README ChangeLog 
%_bindir/*
%config(noreplace) %{_sysconfdir}/profile.d/*
%{_mandir}/man1/%{name}*

%changelog
* Mon Jun 26 2004 Lenny Cartier <lenny@mandrakesoft.com> 2.3.4-1mdk
- 2.3.4

* Wed Jun 09 2004 Lenny Cartier <lenny@mandrakesoft.com> 2.3.1-1mdk
- 2.3.1

* Thu Apr 29 2004 Buchan Milne <bgmilne@linux-mandrake.com> 2.2.0-1mdk
- 2.2.0
- Use new -Q option in profile script (speed up logins/new shells)
- add new man page
- spec file cosmetics

* Fri Apr 01 2003 Buchan Milne <bgmilne@linux-mandrake.com> 2.0.2-3mdk
- Update profile.d script to handle forwarded ssh agents correctly

* Mon Jan 06 2003 Buchan Milne <bgmilne@linux-mandrake.com> 2.0.2-2mdk
- Rebuild

* Mon Sep 02 2002 Buchan Milne <bgmilne@linux-mandrake.com> 2.0.2-1mdk
- First Mandrake package
